org.springframework.data.repository.cdi

## Class CdiRepositoryContext

- java.lang.Object
- - org.springframework.data.repository.cdi.CdiRepositoryContext

    public class CdiRepositoryContext
    extends Object

Context for CDI repositories. This class provides `ClassLoader` and `detection` which are commonly used within CDI.

Since:
  2.1
Author:
  Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`CdiRepositoryContext(ClassLoader classLoader)` Create a new `CdiRepositoryContext` given `ClassLoader` and initialize `CachingMetadataReaderFactory`.
`CdiRepositoryContext(ClassLoader classLoader, CustomRepositoryImplementationDetector detector)` Create a new `CdiRepositoryContext` given `ClassLoader` and `CustomRepositoryImplementationDetector`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CdiRepositoryContext

    public CdiRepositoryContext(ClassLoader classLoader)

Create a new `CdiRepositoryContext` given `ClassLoader` and initialize `CachingMetadataReaderFactory`.

Parameters:
  `classLoader` - must not be null.

#### CdiRepositoryContext

    public CdiRepositoryContext(ClassLoader classLoader,
                                CustomRepositoryImplementationDetector detector)

Create a new `CdiRepositoryContext` given `ClassLoader` and `CustomRepositoryImplementationDetector`.

Parameters:
  `classLoader` - must not be null.
  `detector` - must not be null.